3ds max 2021 to Babylon

Does exist export plugin: from 3ds max 2021 to Babylon.js? I see only 2015-2020 versions.

Paging Dr. @Drigax.

1 Like

No, we don’t currently support Max 2021. Honestly, I wasn’t expecting the next release for a few months. I’ll add this to my list of things to do, most likely wouldnt expect support until May at the earliest.

2 Likes

Thank you for the information. I hope it will be soon because there are people (like me for example) who own 3ds max 2021 only.

Es comprensible, yo acabo de obtener la licencia de 3dmax solo con el proposito de poder desarrollar con babylonjs, y me acabo de dar cuenta q aĂşn no hay soporte para la version de 3dmax 2021 =(

Pero bueno, igual se agradece el aporte que están haciendo, solo toca esperar! <3

Please use English as this is an international forum (I tried to impose French but for some reasons I failed ;))

5 Likes

@Johny_Mickey, @syslock64

I have just released a build of the exporters for Max 2021:
please feel free to try it out :slight_smile:

4 Likes

it’s too bad.

[FR] c’est dommage.

1 Like

Hi there,

I am trying to install Babylon JS for Max 2021.1 on Windows 7.

I have just tried the installer but it doesn’t ever give a GUI, it just runs and the quits in the process list.

I tried manually copying the DLLs to “C:\Program Files\Autodesk\3ds Max 2021\bin\assemblies”, but I get a “Plug-in Assembly Load Error” for the following DLLs:

GDImageLibrary.dll
Max2Babylon.dll
Microsoft.WindowsAPICodePack.dll
Microsoft.WindowsAPICodePack.Shell.dll
Microsoft.WindowsAPICodePack.ShellExtensions.dll
Newtonsoft.Json.dll
SharpDX.dll
SharpDX.Mathematics.dll
TargaImage.dll
TQ.Texture.dll

Followed by Max.NET System Not Supported Exceptions

All pointers gratefully received…

Cheers,
Olly

Hi @olly,

Its a bit difficult to support you, as Windows 7 is no longer officially supported. Seeing as the assembly fails to load, can you verify that you have .NET Framework 4.7 or later installed?

Ah, I did not realise that - another reason to upgrade to upgrade the OS…

I have looked through the registry and have .NET Framework 4.8 installed.

I hope that helps?